#include "UGraph.h"
#include <iostream>
using namespace std;

UGraph myUGraph;

int main(int argc, char ** argv) {
	while (1) 
	{
		char keyword[100];

		cin >> keyword;

		if (!strcmp(keyword, "print")) 
		{
			cout << "Printing Graph Information" << endl;
			myUGraph.print();
		}

		else if (!strcmp(keyword, "dfs")) 
		{
			int vi;
			cin >> vi;
			cout <<"Depth-First Search Start from Vertex " << vi << endl;
			myUGraph.dfs(vi);

		}
		else if (!strcmp(keyword, "bfs")) 
		{
			int vi;
			cin >> vi;
			cout <<"Breadth-First Search Start from Vertex " << vi << endl;
			myUGraph.bfs(vi);
		}

		else if (!strcmp(keyword, "isreachable")) 
		{
			int vi,wi;
			cin >> vi >> wi;
			myUGraph.isreachable(vi,wi);

		}

		else if (!strcmp(keyword, "clearall")) 
		{
			cout << "Resetting Labels" << endl;
			myUGraph.clearall();
		}

		else if (!strcmp(keyword, "shortestdistance")) 
		{
			int vi,wi;
			cin >> vi >> wi;
			myUGraph.shortestdistance(vi,wi);
		}

		else if (!strcmp(keyword, "exit")) 
		{
			cout << "exit" << endl;
			break;
		}

	}



  return 1;
}

