#include "aabb.h"


AABB::AABB(V2D firstPoint) : topLeft(firstPoint), bottomRight(firstPoint) {}

void AABB::AddPoint(V2D newPoint) {

  if (topLeft[0] > newPoint[0]) {
    topLeft[0] = newPoint[0];
  }
  if (topLeft[1] > newPoint[1]) {
    topLeft[1] = newPoint[1];
  }
  if (bottomRight[0] < newPoint[0]) {
    bottomRight[0] = newPoint[0];
  }
  if (bottomRight[1] < newPoint[1]) {
    bottomRight[1] = newPoint[1];
  }

}


int AABB::TopRow() {

  return (int) (topLeft[0]+0.5f);

}

int AABB::BottomRow() {

  return (int) (bottomRight[0]-0.5f);

}

int AABB::LeftColumn() {

  return (int) (topLeft[1]+0.5f);

}

int AABB::RightColumn() {

  return (int) (bottomRight[1]-0.5f);

}
